Indexers - Run
Igény szerinti indexelőt futtat.
POST {endpoint}/indexers('{indexerName}')/search.run?api-version=2024-07-01
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
A keresési szolgáltatás végponti URL-címe. |
|
indexer
|
path | True |
string |
A futtatni kívánt indexelő neve. |
|
api-version
|
query | True |
string |
Ügyfél API-verziója. |
Kérelem fejléce
| Name | Kötelező | Típus | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
A kéréssel együtt küldött nyomkövetési azonosító, amely segít a hibakeresésben. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 202 Accepted | ||
| Other Status Codes |
Hibaválasz. |
Példák
SearchServiceRunIndexer
Mintakérelem
POST https://myservice.search.windows.net/indexers('myindexer')/search.run?api-version=2024-07-01
Mintaválasz
Definíciók
| Name | Description |
|---|---|
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Name | Típus | Description |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hibacél. |
ErrorResponse
Hibaválasz
| Name | Típus | Description |
|---|---|---|
| error |
A hibaobjektum. |